// This module implements the TQextScintillaLexerDiff class.
//
// Copyright (c) 2006
// 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
// 
// This file is part of TQScintilla.
// 
// This copy of TQScintilla is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// TQScintilla is supplied in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
// 
// You should have received a copy of the GNU General Public License along with
// TQScintilla; see the file LICENSE.  If not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <tqcolor.h>
#include <tqfont.h>
#include <tqsettings.h>

#include "tqextscintillalexerdiff.h"


// The ctor.
TQextScintillaLexerDiff::TQextScintillaLexerDiff(TQObject *parent,const char *name)
	: TQextScintillaLexer(parent,name)
{
}


// The dtor.
TQextScintillaLexerDiff::~TQextScintillaLexerDiff()
{
}


// Returns the language name.
const char *TQextScintillaLexerDiff::language() const
{
	return "Diff";
}


// Returns the lexer name.
const char *TQextScintillaLexerDiff::lexer() const
{
	return "diff";
}


// Return the string of characters that comprise a word.
const char *TQextScintillaLexerDiff::wordCharacters() const
{
	return "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ-";
}


// Returns the foreground colour of the text for a style.
TQColor TQextScintillaLexerDiff::color(int style) const
{
	switch (style)
	{
	case Default:
		return TQColor(0x00,0x00,0x00);

	case Comment:
		return TQColor(0x00,0x7f,0x00);

	case Command:
		return TQColor(0x7f,0x7f,0x00);

	case Header:
		return TQColor(0x7f,0x00,0x00);

	case Position:
		return TQColor(0x7f,0x00,0x7f);

	case LineRemoved:
		return TQColor(0x00,0x7f,0x7f);

	case LineAdded:
		return TQColor(0x00,0x00,0x7f);
	}

	return TQextScintillaLexer::color(style);
}


// Returns the user name of a style.
TQString TQextScintillaLexerDiff::description(int style) const
{
	switch (style)
	{
	case Default:
		return tr("Default");

	case Comment:
		return tr("Comment");

	case Command:
		return tr("Command");

	case Header:
		return tr("Header");

	case Position:
		return tr("Position");

	case LineRemoved:
		return tr("Removed line");

	case LineAdded:
		return tr("Added line");
	}

	return TQString();
}

#include "tqextscintillalexerdiff.moc"
